<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.StudentCourseHomeworkReplyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.StudentCourseHomeworkReply">
        <id column="id_" property="id" />
        <result column="student_course_homework_id_" property="studentCourseHomeworkId" />
        <result column="user_id_" property="userId" />
        <result column="content_" property="content" />
        <result column="create_time_" property="createTime" />
        <result column="parent_id_" property="parentId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, student_course_homework_id_, user_id_, content_, create_time_, parent_id_
    </sql>

</mapper>
